[SCM] General FITS file browser/editor/plotter with a gui branch, debian, updated. c90d7490cc89bf75231e599227dc4025dfd74afa

Ole Streicher debian at liska.ath.cx
Mon Jul 23 11:44:13 UTC 2012


The following commit has been merged in the debian branch:
commit 08883844ab0560cf514dcfa6c626bf067db5b6de
Author: Ole Streicher <debian at liska.ath.cx>
Date:   Mon Jul 23 13:15:48 2012 +0200

    Add repackage script

diff --git a/debian/dfsg.remove b/debian/dfsg.remove
new file mode 100644
index 0000000..f8ce314
--- /dev/null
+++ b/debian/dfsg.remove
@@ -0,0 +1,10 @@
+# The following files are removed from the original tarball
+# to make the copyright files simpler and the source package smaller:
+heacore
+tcltk/xpa
+tcltk/tcl
+tcltk/tk
+tcltk/tix
+tcltk/itcl
+tcltk/itk
+tcltk/iwidgets
diff --git a/debian/repack-dfsg.sh b/debian/repack-dfsg.sh
new file mode 100755
index 0000000..e520d7a
--- /dev/null
+++ b/debian/repack-dfsg.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+# ./debian/repack
+# Repackage the source files as a DFSG tarball, with unnecessary
+# files removed. 
+
+TMPDIR=$(mktemp --directory)
+#trap "rm -fr ${TMPDIR} || exit 1" EXIT INT TERM
+
+ver=$2
+orig_tar=$3
+tardir=$(dirname ${orig_tar})
+debiandir=$(dirname $0)
+wd=$(mktemp -d)
+pkgname=$(grep ^[^[:space:]] ${debiandir}/changelog | head -1|cut -d' ' -f1)
+echo $pkgname $ver $orig_tar $tardir $wd
+
+tar xf ${orig_tar} -C ${TMPDIR} 
+srcdir=$wd/*
+
+for fname in $(cat ${debiandir}/dfsg.remove | sed s/\#.\*//); do
+    rm -rf ${TMPDIR}/*/${fname}
+done
+
+dfsg_tar=${tardir}/${pkgname}_${ver}+dfsg.orig.tar.gz
+tar czf ${dfsg_tar} -C ${TMPDIR} .
+
+exec uupdate --no-symlink --upstream-version ${ver}+dfsg ${dfsg_tar}
diff --git a/debian/watch b/debian/watch
index c1d6107..007a916 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,5 +1,6 @@
 # watch control file for uscan
 version=3
 opts=uversionmangle=s/(.)/.$1/g;s/^\.//,dversionmangle=s/\+dfsg// \
- http://heasarc.gsfc.nasa.gov/FTP/software/lheasoft/fv/fv(.+)_src\.tar\.gz
-
+ http://heasarc.gsfc.nasa.gov/FTP/software/lheasoft/fv/fv(.+)_src\.tar\.gz \
+ debian \
+ debian/repack-dfsg.sh

-- 
General FITS file browser/editor/plotter with a gui



More information about the debian-science-commits mailing list